import React, { Fragment } from 'react';
import "./index.less";

var StageType = function StageType(_ref) {
  var _ref$type = _ref.type,
      type = _ref$type === void 0 ? 'ci' : _ref$type,
      _ref$parallel = _ref.parallel,
      parallel = _ref$parallel === void 0 ? 1 : _ref$parallel;
  var realType = type === null || type === void 0 ? void 0 : type.toUpperCase();
  return /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement("span", {
    className: "c7n-piplineManage-stage-type c7n-piplineManage-stage-type-".concat(realType)
  }, realType), /*#__PURE__*/React.createElement("span", {
    className: "c7n-piplineManage-stage-type-task c7n-piplineManage-stage-type-task-".concat(parallel ? 'parallel' : 'serial')
  }, parallel ? '任务并行' : '任务串行'));
};

export default StageType;